#include<bits/stdc++.h>
#define ll long long
#define ld long double
using namespace std;
struct slog{
    ld p;
    ld plata;
} niz[200005];
bool cmp(slog A,slog B){
    return A.p<B.p;
}
ld res,ukupno,pp;
ll N;
int main(){
   // freopen("Input.txt","r",stdin);
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);
    cin>>N;
    for(int i=1;i<=N;i++){
        cin>>niz[i].plata>>niz[i].p;
        niz[i].p/=100;
        ukupno+=niz[i].plata;
    }
    res=0;
    sort(niz+1,niz+1+N,cmp);
    for(int i=1;i<=N;i++){
        res=max(res,(ld)niz[i].p*ukupno);
        ukupno-=niz[i].plata;
    }
    cout<<setprecision(6)<<fixed;
    cout<<res<<endl;
    return 0;
}